{ķ}
{                      KEYBOARD LIGHTS Version 1.0                         }
{                  Copyright (C) 1997 by The GodFather                     }
{ͼ}

{$M 1024,0,0}
USES GUtils;

CONST
  Version = 'Version 1.0';


PROCEDURE CopyRight;
BEGIN
  Writeln('KEYBOARD LIGHTS '+Version);
  Writeln('Copyright (C) 1997 by The GodFather');
  Writeln;
END;

PROCEDURE Instructions;
BEGIN
  Writeln(' Usage: KLIGHT [ Num|Caps|Scroll ]  [ ON|OFF ]');
  Halt;
END;


PROCEDURE ProcessParams;
VAR What,State:STRING; Light:Byte; On:Boolean;
BEGIN
  What  := AdjCase(Upper, ParamStr(1));
  State := AdjCase(Upper, ParamStr(2));

  On    := False;
  Light := 0;

       IF What = 'NUM'    THEN Light := 1
  ELSE IF What = 'CAPS'   THEN Light := 2
  ELSE IF What = 'SCROLL' THEN Light := 3
  ELSE Instructions;

       IF State = 'ON'  THEN On := True
  ELSE IF State = 'OFF' THEN On := False
  ELSE Instructions;

  CASE Light OF
    1: SetNum(On);
    2: SetCaps(On);
    3: SetScroll(On);
  END;
  Writeln(AdjCase(ProperFull,What),'Lock is now ',State);
END;



{ -- MAIN --- }
BEGIN
  CopyRight;
  IF ParamCount < 2 THEN Instructions;
  ProcessParams;
END.
